## bincimap-run 0.2.4

=== Makefile ===
DESTDIR=

install:
	install -d $(DESTDIR)/etc/bincimap/bincimap/log
	install -d $(DESTDIR)/etc/bincimap/bincimaps/log
	install -m0755 bincimap/run $(DESTDIR)/etc/bincimap/bincimap/run
	install -m0755 bincimap/log/run \
	  $(DESTDIR)/etc/bincimap/bincimap/log/run
	install -m0755 bincimaps/run $(DESTDIR)/etc/bincimap/bincimaps/run
	install -m0755 bincimaps/log/run \
	  $(DESTDIR)/etc/bincimap/bincimaps/log/run

## bincimap-run 0.1.1

=== debian/changelog ===
bincimap-run (0.1.1) unstable; urgency=low

  * debian/control: no longer Build-Depends-Indep: debhelper;
    Standards-Version: 3.6.1.0.
  * debian/rules: stop using debhelper, use implicit Makefile rules.
  * debian/implicit: new; implicit rules.
  * debian/bincimap-run.docs, debian/bincimap-run.postinst,
    debian/bincimap-run.postrm, debian/bincimap-run.prerm,
    debian/bincimap-run.conffiles: new.
  * debian/docs, debian/postinst, debian/postrm, debian/prerm, debian/dirs,
    debian/compat, debian/links: remove; obsolete.

 -- Gerrit Pape <pape@smarden.org>  Sun, 28 Dec 2003 15:16:49 +0000

bincimap-run (0.1.0) unstable; urgency=low

  * initial release (closes: #215353).

 -- Gerrit Pape <pape@smarden.org>  Fri, 17 Oct 2003 08:31:34 +0000

=== debian/control ===
Source: bincimap-run
Section: mail
Priority: optional
Maintainer: Gerrit Pape <pape@smarden.org>
Standards-Version: 3.6.1.0

Package: bincimap-run
Architecture: all
Depends: bincimap, runit (>> 0.11.2-0), ipsvd, checkpw (>> 1.00-0), adduser
Provides: imap-server
Conflicts: imap-server
Description: IMAP server for Maildir depositories
 As an alternative to existing similar IMAP servers, Binc IMAP strives to
 be very easy to use, but robust, stable and secure. It aims at being
 absolutely compliant with the IMAP4rev1 protocol, and simple and modular
 in design, making it very easy for third parties to utilize the source
 code and enhance the product.
 .
 Binc IMAP supports Dan J. Bernstein's Maildir format and checkpassword
 authentication interface.
 .
 See http://www.bincimap.org/ for details.
 .
 This package sets up the bincimap-ssl service to listen on 0.0.0.0:993,
 and additionally provides a service directory to run a non-ssl bincimap
 service.

=== debian/rules ===
#!/usr/bin/make -f

DIR =`pwd`/debian/bincimap-run

build: deb-checkdir build-stamp
build-stamp:
	touch build-stamp

clean: deb-checkdir deb-checkuid
	rm -f build-stamp
	rm -rf "$(DIR)"
	rm -f debian/files

install: deb-checkdir deb-checkuid install-stamp
install-stamp: build-stamp
	rm -rf "$(DIR)"
	$(MAKE) install DESTDIR=$(DIR)/
	# dirs
	for i in bincimap bincimaps; do \
	  install -d -m0755 "$(DIR)"/var/log/$$i && \
	  install -d -m0755 "$(DIR)"/var/run/$$i && \
	  install -d -m0755 "$(DIR)"/var/run/$$i.log || exit 1; \
	done
	# links
	for i in bincimap bincimaps; do \
	  ln -s /var/run/$$i "$(DIR)"/etc/bincimap/$$i/supervise && \
	  ln -s /var/run/$$i.log "$(DIR)"/etc/bincimap/$$i/log/supervise \
	    || exit 1; \
	done

binary-indep: deb-checkdir deb-checkuid install bincimap-run.deb
	dpkg-gencontrol -isp -pbincimap-run -P"$(DIR)"
	dpkg -b "$(DIR)" ..

binary-arch:

binary: binary-indep binary-arch
.PHONY: build clean install binary-indep binary-arch binary

include debian/implicit

## bincimap-run 0.1.2

=== debian/changelog ===
bincimap-run (0.1.2) unstable; urgency=low

  * debian/bincimap-run.postinst, debian/bincimap-run.postrm,
    debian/bincimap-run.prerm: simplify; cleanup.
  * debian/control: Depends: runit (>> 1.0.0-0), ipsvd (>> 0.9.6-0).
  * debian/copyright: 2003-2004.
  * use permissions 0755 on directories in source tarball (closes: #262498).
  * debian/rules: minor cleanup.
  * debian/implicit: update to revision 1.10.
  * bincimaps/run: add example on how to provide sslv3 with sslio.

 -- Gerrit Pape <pape@smarden.org>  Mon,  2 Aug 2004 15:06:44 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 Package: bincimap-run
 Architecture: all
-Depends: bincimap, runit (>> 0.11.2-0), ipsvd, checkpw (>> 1.00-0), adduser
+Depends: bincimap, runit (>> 1.0.0-0), ipsvd (>> 0.9.6-0), checkpw (>> 1.00-0), adduser
 Provides: imap-server
 Conflicts: imap-server
 Description: IMAP server for Maildir depositories

=== debian/rules ===
#!/usr/bin/make -f

DIR =$(shell pwd)/debian/bincimap-run

build: deb-checkdir build-stamp
build-stamp:
	touch build-stamp

clean: deb-checkdir deb-checkuid
	rm -f build-stamp
	rm -rf '$(DIR)'
	rm -f debian/files

install: deb-checkdir deb-checkuid install-stamp
install-stamp: build-stamp
	rm -rf '$(DIR)'
	$(MAKE) install DESTDIR='$(DIR)'/
	# dirs
	for i in bincimap bincimaps; do \
	  install -d -m0755 '$(DIR)'/var/log/$$i && \
	  install -d -m0755 '$(DIR)'/var/run/$$i && \
	  install -d -m0755 '$(DIR)'/var/run/$$i.log || exit 1; \
	done
	# links
	for i in bincimap bincimaps; do \
	  ln -s /var/run/$$i '$(DIR)'/etc/bincimap/$$i/supervise && \
	  ln -s /var/run/$$i.log '$(DIR)'/etc/bincimap/$$i/log/supervise \
	    || exit 1; \
	done

binary-indep: deb-checkdir deb-checkuid install bincimap-run.deb
	dpkg-gencontrol -isp -pbincimap-run -P'$(DIR)'
	dpkg -b '$(DIR)' ..

binary-arch:

binary: binary-indep binary-arch
.PHONY: build clean install binary-indep binary-arch binary

include debian/implicit

## bincimap-run 0.2.0

=== debian/changelog ===
bincimap-run (0.2.0) unstable; urgency=low

  * debian/bincimap-run.prerm: use the sv program instead of svwaitdown to
    shutdown services.
  * debian/control: Standards-Version: 3.6.2.1; remove version restrictions
    from Depends: runit, ipsvd, checkpw; minor.
  * debian/README.Debian: rename to bincimap-run.README.Debian.
  * debian/bincimap-run.docs: remove; obsolete.

 -- Gerrit Pape <pape@smarden.org>  Thu, 20 Oct 2005 19:15:57 +0000

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Section: mail
 Priority: optional
 Maintainer: Gerrit Pape <pape@smarden.org>
-Standards-Version: 3.6.1.0
+Standards-Version: 3.6.2.1
 
 Package: bincimap-run
 Architecture: all
-Depends: bincimap, runit (>> 1.0.0-0), ipsvd (>> 0.9.6-0), checkpw (>> 1.00-0), adduser
+Depends: bincimap, runit, ipsvd, checkpw, adduser
 Provides: imap-server
 Conflicts: imap-server
 Description: IMAP server for Maildir depositories
  As an alternative to existing similar IMAP servers, Binc IMAP strives to
- be very easy to use, but robust, stable and secure. It aims at being
+ be very easy to use, but robust, stable and secure.  It aims at being
  absolutely compliant with the IMAP4rev1 protocol, and simple and modular
  in design, making it very easy for third parties to utilize the source
  code and enhance the product.

## bincimap-run 0.2.3

=== debian/changelog ===
bincimap-run (0.2.3) unstable; urgency=medium

  * debian/bincimap-run.postrm: check for deluser being available, if not,
    print warning and don't remove system users (closes: #398774);
    suppress error message if directories cannot be removed on purge.

 -- Gerrit Pape <pape@smarden.org>  Fri, 17 Nov 2006 20:11:38 +0000

bincimap-run (0.2.2) unstable; urgency=low

  * debian/bincimap-run.postinst: don't make the log service system user
    binclog member of group adm, but nogroup; binclog's home directory is
    /nonexistent; make /var/log/bincimaps/ log directory mode 2750, owner
    binclog:adm (closes: #396687).
  * bincimaps/log/run, bincimap/log/run: run log daemon as binclog:nogroup;
    make /var/log/bincimap/ log directory mode 2750, owner binclog:adm.

 -- Gerrit Pape <pape@smarden.org>  Mon,  6 Nov 2006 20:23:57 +0000

bincimap-run (0.2.1) unstable; urgency=high

  * debian/implicit: update to revision 1.11.
  * debian/bincimap-run.prerm: don't barf on service shutdown if runit
    service supervision is disabled for some reason (thx Bill Allombert,
    closes: #389767).
  * debian/control: Standards-Version: 3.7.2.2.
  * debian/rules: don't include dirs in /var/run/, runsv will create
    them automatically.

 -- Gerrit Pape <pape@smarden.org>  Sat,  7 Oct 2006 18:15:42 +0000

## bincimap-run 0.2.4

=== debian/changelog ===
bincimap-run (0.2.4) unstable; urgency=low

  * debian/implicit: add proper dependencies to support 'parallel build'
    through make -j (thx Daniel Schepler for the patch, closes: #445812).

 -- Gerrit Pape <pape@smarden.org>  Tue, 11 Dec 2007 12:05:57 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: mail
 Priority: optional
 Maintainer: Gerrit Pape <pape@smarden.org>
-Standards-Version: 3.6.2.1
+Standards-Version: 3.7.2.2
 
 Package: bincimap-run
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -16,11 +16,8 @@
 	rm -rf '$(DIR)'
 	$(MAKE) install DESTDIR='$(DIR)'/
 	# dirs
-	for i in bincimap bincimaps; do \
-	  install -d -m0755 '$(DIR)'/var/log/$$i && \
-	  install -d -m0755 '$(DIR)'/var/run/$$i && \
-	  install -d -m0755 '$(DIR)'/var/run/$$i.log || exit 1; \
-	done
+	install -d -m0755 '$(DIR)'/var/log/bincimap
+	install -d -m0755 '$(DIR)'/var/log/bincimaps
 	# links
 	for i in bincimap bincimaps; do \
 	  ln -s /var/run/$$i '$(DIR)'/etc/bincimap/$$i/supervise && \

## bincimap-run 0.2.5

=== debian/changelog ===
bincimap-run (0.2.5) unstable; urgency=low

  * debian/bincimap-run.postinst, debian/bincimap-run.prerm: use runit's
    update-service program to add/remove services from system-wide service
    supervision, instead of dealing with symlinks in /var/service/ directly.
  * debian/bincimap-run.README.Debian: talk about update-service(8) instead
    of symlinks in /var/service/; minor.
  * debian/bincimap-run.postrm: purge: adapt paths in /var/run/; force-stop
    bincimap services; remove ./supervise/ subdirectories (or symlinks) in
    service directories.
  * debian/rules: no longer include dangling links for ./supervise/
    subdirectories, update-service now takes care of this.
  * debian/control: Standards-Version: 3.7.3.0.
  * debian/control: Depends: runit (>= 1.8.0-2) (1st version that provides
    the update-service program).

 -- Gerrit Pape <pape@smarden.org>  Thu, 14 Feb 2008 23:22:38 +0000

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: mail
 Priority: optional
 Maintainer: Gerrit Pape <pape@smarden.org>
-Standards-Version: 3.7.2.2
+Standards-Version: 3.7.3.0
 
 Package: bincimap-run
 Architecture: all
-Depends: bincimap, runit, ipsvd, checkpw, adduser
+Depends: bincimap, runit (>= 1.8.0-2), ipsvd, checkpw, adduser
 Provides: imap-server
 Conflicts: imap-server
 Description: IMAP server for Maildir depositories

=== debian/rules ===
--- 
+++ 
@@ -18,12 +18,6 @@
 	# dirs
 	install -d -m0755 '$(DIR)'/var/log/bincimap
 	install -d -m0755 '$(DIR)'/var/log/bincimaps
-	# links
-	for i in bincimap bincimaps; do \
-	  ln -s /var/run/$$i '$(DIR)'/etc/bincimap/$$i/supervise && \
-	  ln -s /var/run/$$i.log '$(DIR)'/etc/bincimap/$$i/log/supervise \
-	    || exit 1; \
-	done
 
 binary-indep: deb-checkdir deb-checkuid install bincimap-run.deb
 	dpkg-gencontrol -isp -pbincimap-run -P'$(DIR)'
